#pragma strict

var speed = 10000.0f;

var rotateRight : Vector3;
var rotateLeft : Vector3;

var rotation : Vector3;

function Start () {
	rotateLeft = Vector3.back;
	rotateRight = Vector3.back;
}

function Update () {

	//transform.Rotate(Vector3.up * Time.deltaTime * speed);
	
	transform.Rotate(Vector3.back);

}

function ChangeDir(dir) {

	if(dir == 'left') {
		transform.rotation.y = 180;
		//rotation = rotateLeft;
	} else {
		transform.rotation.y = 0;
		//rotation = rotateRight;
	}

}